<?php
/**
 * The template for displaying archive pages.
 *
 * Used for displaying archive-type pages. These views can be further customized by
 * creating a separate template for each one.
 *
 * - author.php (Author archive)
 * - category.php (Category archive)
 * - date.php (Date archive)
 * - tag.php (Tag archive)
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
?>
<?php get_header(); ?>
<header class="page-main-header">
	<div>
		<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
		<img src="<?php echo !empty($image)?$image : get_template_directory_uri().'/images/innerpage.jpg';?>" class="ht-page-header-img" alt="<?php the_title();?>" />
	</div>
	<div class="container">
		<?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
		<div class="clearfix"></div>
	</div>
</header><!-- .entry-header -->
<?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') :
        ?>
 <div class="breadcrumbbox">
            <div class="container">
                <div class='button'><?php lz_fitness_lite_the_breadcrumb(); ?></div>
                <!--  <?php //lz_fitness_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
<?php endif ?> 
<main id="innerpage-box">
	<div class="container">
		<div id="blog-box" class="col-md-9 innerpage-whitebox">
			<?php if ( have_posts() ) :
			$lz_fitness_lite_full_posts = get_theme_mod('lz_fitness_lite_full_posts');
			while ( have_posts() ) : the_post();
				lz_fitness_lite_archive_post();
			endwhile;
			lz_fitness_lite_post_navigation();
		endif; ?>
		</div>
		<div class="col-md-3">
		<?php get_sidebar(); ?>
		</div>
	</div>
</main>
<?php get_footer(); ?>
<!--<div id="page" class="home-page">
	<div id="content" class="article">
		<h1 class="postsby">
			<span><?php //the_archive_title(); ?></span>
		</h1>	
		<?php ///if ( have_posts() ) :
			//$lz_fitness_lite_full_posts = get_theme_mod('lz_fitness_lite_full_posts');
			//while ( have_posts() ) : the_post();
				//lz_fitness_lite_archive_post();
			//endwhile;
			//lz_fitness_lite_post_navigation();
		//endif; ?>
	</div>
	<?php //get_sidebar(); ?>
</div>
<?php //get_footer(); ?>