<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package LZ Fitness Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">    
	
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/headroom.css" />
	
	<link href="https://fonts.googleapis.com/css?family=Roboto:700" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Dancing+Script" rel="stylesheet">
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>

	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.js" ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.min.js" crossorigin="anonymous"></script>
	
	
  
   
	<?php wp_head(); ?>
   <!--  <script type="text/javascript">
        jQuery( document ).ready(function(){
            var header = document.querySelector("#navbar");
            var headroom = new Headroom(header, {
                offset : 205,
                tolerance: {
                  down : 10,
                  up : 20
                },
                classes: {
                  initial: "animated",
                  pinned: "flipInX",
                  unpinned: "flipOutX"
                }
            });
            headroom.init();
        });
    </script> -->
	
</head>

<body <?php body_class(); ?>>

    <div class="main-container">
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'gurukul' ); ?></a>
		
		<header id="ht-masthead" class="ht-site-header ">
		<nav id="navbar" class="navbar navbar-inverse" role="navigation">
			<div class="main-header">		
				
						
						<div class="header-box">
							<div class="col-sm-12 upper-header">
							<?php
							
								$phone = get_theme_mod('lz_fitness_headermain_phone', '+123-345-6789');
								$email = get_theme_mod('lz_fitness_headermain_email', 'info@yourwebsite.com');
							?>
							<div class="header-right-box">
								 <?php if($email){ ?>
									<div class="col-md-6 col-sm-12 ">	
										<div class="contact-border">
											<div class="mailto"><a href="mailto:<?php echo $email;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i><?php echo $email ;?></a></div>
										</div>
										<div class="clearfix"></div>
									</div>
								<?php } ?>
								<?php if($phone){ ?>
									<div class="col-md-6 col-sm-12">	
										<div class="contact-border">
											<div class="data"><i class="fa fa-mobile" aria-hidden="true"></i><?php echo $phone;?></div>
										</div>
										<div class="clearfix"></div>
									</div>
								<?php } ?>

								</div>
								<div class="clearfix"></div>
							</div>
							<div class="clearfix"></div>
							<div class="header-bottom">
							<div class="col-md-3 col-sm-6">
								<?php 
									if( get_theme_mod('pages_logoTmargin',true) ) {
						                $pages_logoTmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTmargin')).';';
						            }
						            if( get_theme_mod('pages_logoBmargin',true) ) {
						                $pages_logoBmargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logoBmargin')).';';
						            }
						            if( get_theme_mod('pages_logoLmargin',true) ) {
						                $pages_logoLmargin = 'margin-left:'.esc_attr(get_theme_mod('pages_logoLmargin')).';';
						            }
						            if( get_theme_mod('pages_logoRmargin',true) ) {
						                $pages_logoRmargin = 'margin-right:'.esc_attr(get_theme_mod('pages_logoRmargin')).';';
						            }
			 					?>
								<div class="logobox"  style="<?php echo esc_attr($pages_logoTmargin); ?>" "<?php echo esc_attr($pages_logoBmargin); ?>" "<?php echo esc_attr($pages_logoLmargin); ?>" "<?php echo esc_attr($pages_logoRmargin); ?>">
									<?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
									else : 
										if ( is_front_page() ) : ?>
										<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
									<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>
								<?php endif; ?>						
							</div>
							</div>
							<div class="col-md-9 col-sm-6 ">
								<nav id="ht-site-navigation" class="ht-main-navigation">								
								<div class="toggle-bar"><span><i class="fa fa-bars" aria-hidden="true"></i></span></div>
								<?php 
								wp_nav_menu( array( 
									'theme_location' => 'primary', 
									'container_class' => 'ht-menu clearfix' ,
									'menu_class' => 'ht-clearfix',
									'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
								) ); 
								?>
								</nav><!-- #ht-site-navigation -->
							</div>
							<div class="clearfix"></div>
						</div>
					
					
					</div>
				
				<div class="clearfix"></div>
				
			</div>
				<div class="clearfix"></div>
	</nav>
		<div class="clearfix"></div>	
		</header><!-- #masthead -->
	
	</div>
	