<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'lz-fitness-premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'lz-fitness-premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );


//HEADER LOGO MARGIN SETTINGS
$wp_customize->add_section(
	'lz_fitness_headerlogo_settings',
	array(
		'title' => __( 'Header Logo Margin Settings', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'lz_fitness_headerlogo_settings', ' Site Header Logo Margin:');


$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Margin', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Margin', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Margin', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Margin', 'luzuk-premium' )
	)
);

//BACKGROUND IMAGE
//$wp_customize->add_section( 'background_image', array(
//	'title' => __( 'Background Image', 'lz-fitness-premium' ),
//	'panel' => 'lz_fitness_general_panel',
//) );

//Header IMAGE
//$wp_customize->add_section( 'header_image', array(
//	'title' => __( 'Header Image', 'lz-fitness-premium' ),
//	'panel' => 'lz_fitness_general_panel',
//) );

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'lz-fitness-premium'),
	'panel' => 'lz_fitness_general_panel',
) );

//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#ffcc00');

//Inner page title color
addColorPalatOption($wp_customize, 'template_innerpage_titlecolor', 'colors', 'Inner page title color', '#fff');
//Inner page background color
addColorPalatOption($wp_customize, 'template_innerpage_bgcolor', 'colors', 'Inner page title background color', '#ffcc00');

//theme Footer Background Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_bg_color', 'colors', 'Footer Background Color', '#fff');
//theme Secondary color
//addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#f15a24');


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

// end to show & hide button


//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#222222');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#ffcc00');

//Inner page breadcrumbbox current hover title color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbcurrenttitlehovercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#222222');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');

//Inner page breadcrumbbox border color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbordercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#222222');


//HEADER SETTINGS
$wp_customize->add_section(
	'lz_fitness_header_settings',
	array(
		'title' => __( 'Header Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

	//ENABLE/DISABLE STICKY HEADER
	//	$wp_customize->add_setting(
	//		'lz_fitness_sticky_header_enable',
	//		array(
	//			'sanitize_callback' => 'lz_fitness_sanitize_text',
	//			'default' => 'off'
	//		)
	//	);

	//	$wp_customize->add_control(
	//		new lz_fitness_Switch_Control(
	//			$wp_customize,
	//			'lz_fitness_sticky_header_enable',
	//			array(
	//				'settings'		=> 'lz_fitness_sticky_header_enable',
	//				'section'		=> 'lz_fitness_header_settings',
	//				'label'			=> __( 'Sticky Header', 'lz-fitness-premium' ),
	//				'on_off_label' 	=> array(
	//					'on' => __( 'Enable', 'lz-fitness-premium' ),
	//					'off' => __( 'Disable', 'lz-fitness-premium' )
	//				)	
	//			)
	//		)
	//	);
$sectionHeader = 'lz_fitness_header_settings';

//top header

$wp_customize->add_setting(
	'lz_fitness_headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '+123-345-6789', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone',
	array(
		'settings'      => 'lz_fitness_headermain_phone',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@yourwebsite.com', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email',
	array(
		'settings'      => 'lz_fitness_headermain_email',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Email Address', 'lz-fitness-premium' )
	)
);

// Adding the Label
//lzCustomLable($wp_customize, 'lz_fitness_reservation_lblImgTxt', $sectionHeader, 'Social media icons');

//ADD TEXT BOX FOR FORM SHORTCODE
// lzAddElement($wp_customize, 'lz_fitness_header_fb', $sectionHeader, 'text', $label = "Facebook", 'lz_fitness_sanitize_text', 
//'http://Facbook.com');

// lzAddElement($wp_customize, 'lz_fitness_header_tw', $sectionHeader, 'text', $label = "Twitter", 'lz_fitness_sanitize_text', //'http://twitter.com');

// lzAddElement($wp_customize, 'lz_fitness_header_it', $sectionHeader, 'text', $label = "GooglePlus", 'lz_fitness_sanitize_text', //'https://plus.google.com');

// lzAddElement($wp_customize, 'lz_fitness_header_in', $sectionHeader, 'text', $label = "LinedIn", 'lz_fitness_sanitize_text', //'http://Linkedin.com');

// lzAddElement($wp_customize, 'lz_fitness_header_insta', $sectionHeader, 'text', $label = "Instagram", 'lz_fitness_sanitize_text', //'http://Instragram.com');

// lzAddElement($wp_customize, 'lz_fitness_header_yt', $sectionHeader, 'text', $label = "Youtube", 'lz_fitness_sanitize_text', //'https://www.youtube.com');

// FACEBOOK 
//$wp_customize->add_setting('lz_fitness_header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
//$wp_customize->add_control('lz_fitness_header_fb',
//	array(
//		'settings'      => 'lz_fitness_header_fb',
//		'section'       => 'lz_fitness_header_settings',
//		'type'          => 'url',
//		'label'         => __( 'Facebook Url', 'lz-fitness-premium' )
//	)
//);
// TWITTER
//$wp_customize->add_setting('lz_fitness_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
//$wp_customize->add_control('lz_fitness_header_tw',
//	array(
//		'settings'      => 'lz_fitness_header_tw',
//		'section'       => 'lz_fitness_header_settings',
//		'type'          => 'url',
//		'label'         => __( 'Twitter Url', 'lz-fitness-premium' )
//	)
//);
// GOOGLE PLUS
// $wp_customize->add_setting('lz_fitness_header_it', array('default' => 'https://plus.google.com', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('lz_fitness_header_it',
// 	array(
// 		'settings'      => 'lz_fitness_header_it',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'url',
// 		'label'         => __( 'Google Plus Url', 'lz-fitness-premium' )
// 	)
// );

//Youtube IN
//$wp_customize->add_setting('lz_fitness_header_yt',array('default'=> 'https://www.youtube.com','sanitize_callback' => 'esc_url_raw'));
//$wp_customize->add_control('lz_fitness_header_yt',
//	array(
//		'settings'      => 'lz_fitness_header_yt',
//		'section'       => 'lz_fitness_header_settings',
//		'type'          => 'url',
//		'label'         => __( 'Youtube Url', 'gurukul' )
//	)
//);
// LINKED IN
//$wp_customize->add_setting('lz_fitness_header_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
//$wp_customize->add_control('lz_fitness_header_in',
//	array(
//		'settings'      => 'lz_fitness_header_in',
//		'section'       => 'lz_fitness_header_settings',
//		'type'          => 'url',
//		'label'         => __( 'Linkedin Url', 'lz-fitness-premium' )
//	)
//);
// Instagram
// $wp_customize->add_setting('lz_fitness_header_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('lz_fitness_header_insta',
// 	array(
// 		'settings'      => 'lz_fitness_header_insta',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'url',
// 		'label'         => __( 'Instagram', 'gurukul' )
// 	)
// ); 

 // header Top background color
  addColorPalatOption($wp_customize, 'lz_fitness_header_borderColor', 'lz_fitness_header_settings', 'Top Header color', '#262626');

 // header background color
addColorPalatOption($wp_customize, 'lz_fitness_header_TbackgroundColor', 'lz_fitness_header_settings', 'Header Background color', '#fff');

//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenu_color', 'lz_fitness_header_settings', 'Header Menu Color', '#242424');

//Theme logo name
//addColorPalatOption($wp_customize, 'lz_fitness_headerlogo_color', 'lz_fitness_header_settings', 'Header logo Text Color', '#262626');

//Set header sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headericon_color', 'lz_fitness_header_settings', 'Header Top icon Color', '#ffcc00');

//Set header sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenu_color', 'lz_fitness_header_settings', 'Header Top Text Color', '#fff');

//Set header sub menu Background colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenubg_color', 'lz_fitness_header_settings', 'Header Sub Menu Background Color', '#272727'); 

//Set header sub menu color
addColorPalatOption($wp_customize, 'lz_fitness_headersub_color', 'lz_fitness_header_settings', 'Header Sub Menu Color', '#fff'); 

//Set header sub menu Hover color
addColorPalatOption($wp_customize, 'lz_fitness_headersubhover_color', 'lz_fitness_header_settings', 'Header Sub Menu Hover Color', '#000'); 

 
    

//FOOTER COPURIGHT SETTINGS
$wp_customize->add_section(
	'lz_fitness_footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2018 Multicolor Business. All Rights Reserved', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'lz-fitness-premium' )
	)
);



//theme Footer Background
addColorPalatOption($wp_customize, 'lz_fitness_footer_bg_color', 'lz_fitness_footer_copyright_settings', 'Footer Background Color', '#ffffff');

//theme Footer Background Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrightbg_color', 'lz_fitness_footer_copyright_settings', 'Copyright Footer Background Color', '#ffffff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrighttext_color', 'lz_fitness_footer_copyright_settings', 'Copyright Footer Text Color', '#5e5e5e');

//theme Footer Menu Text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menu_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Text Color', '#5b5b5b');

//theme Footer Menu Text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_Border_color', 'lz_fitness_footer_copyright_settings', 'Footer Border Color', '#463847');


//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'lz_fitness_postpagedate_settings',
	array(
		'title' => __( 'Postpage Date Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'lz_fitness_postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
